=== modified file 'bzrlib/benchmarks/bench_xml.py'
--- bzrlib/benchmarks/bench_xml.py	2006-08-16 22:42:10 +0000
+++ bzrlib/benchmarks/bench_xml.py	2006-08-16 23:38:03 +0000
@@ -68,17 +68,18 @@
         inv = self.make_kernel_like_inventory()
         as_str = xml5.serializer_v5.write_inventory_to_string(inv)
 
+        cache_utf8.clear_encoding_cache()
         read_inv = self.time(xml5.serializer_v5.read_inventory_from_string,
                              as_str)
         # TODO: make sure the final inventory is equal as a sanity check
 
-    def test_read_from_string_no_cache_kernel_like_inventory(self):
+    def test_read_from_string_cached_kernel_like_inventory(self):
+        cache_utf8.clear_encoding_cache()
         inv = self.make_kernel_like_inventory()
         as_str = xml5.serializer_v5.write_inventory_to_string(inv)
 
-        xml5._clear_cache()
-        cache_utf8.clear_encoding_cache()
+        xml5.serializer_v5.read_inventory_from_string(as_str)
+
         read_inv = self.time(xml5.serializer_v5.read_inventory_from_string,
                              as_str)
         # TODO: make sure the final inventory is equal as a sanity check
-

=== modified file 'bzrlib/xml5.py'
--- bzrlib/xml5.py	2006-08-16 22:35:21 +0000
+++ bzrlib/xml5.py	2006-08-16 23:38:03 +0000
@@ -285,8 +285,9 @@
         parent_id = elt.get('parent_id')
         if parent_id == None:
             parent_id = ROOT_ID
-        parent_id = get_cached(parent_id)
-        file_id = get_cached(elt.get('file_id'))
+        #parent_id = get_cached(parent_id)
+        #file_id = get_cached(elt.get('file_id'))
+        file_id = elt.get('file_id')
 
         if kind == 'directory':
             ie = inventory.InventoryDirectory(file_id,

